## tzc 2.6.15

=== Makefile ===
# Configure as appropriate.

KERB_INCLUDES = -I/usr/local/include
KERB_LIBDIR = /usr/local/lib
KERB_LIBS = -L$(KERB_LIBDIR) -lkrb -ldes -lcom_err

ZEPHYR_INCLUDES = -I/usr/local/include
ZEPHYR_LIBDIR = /usr/local/lib
ZEPHYR_LIBS = -L$(ZEPHYR_LIBDIR) -lzephyr

# You may need to use these to pick up some BSD'ish functions like flock().
# Linux needs MISC_LIBS = -lbsd
# NetBSD needs MISC_LIBS = -lcrypt
# AIX needs MISC_CFLAGS = -D_BSD and MISC_LIBS = -lbsd
# Solaris needs MISC_CFLAGS = -I/usr/include -DNO_SIGMASK
#           and MISC_LIBS = -lsocket -lnsl  /usr/ucblib/libucb.a
MISC_CFLAGS = 
MISC_LIBS = 

# uncomment this if getenv() isn't already available (e.g. SunOS 4.1.x)
# EXTRA_OBJS = getenv.o

CC = gcc
LD = $(CC)

DEFINES = -DINTERREALM
INCLUDES = $(ZEPHYR_INCLUDES) $(KERB_INCLUDES) $(MISC_CFLAGS)
CFLAGS = -g -O -Wall $(DEFINES) $(INCLUDES)

LIBS = $(ZEPHYR_LIBS) $(KERB_LIBS) $(MISC_LIBS)

tzc: tzc.o lread.o $(EXTRA_OBJS)
	$(LD) $(LDFLAGS) -o tzc.new tzc.o lread.o $(EXTRA_OBJS) $(LIBS)
	/bin/mv tzc.new tzc

lread.o: lread.h
tzc.o: lread.h

clean:
	/bin/rm -f *.o tzc tzc.new core

=== debian/changelog ===
tzc (2.6.15-5.4build1) noble; urgency=medium

  * No change rebuild to gain buildinfo.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Sat, 17 Feb 2024 18:48:49 +0000

tzc (2.6.15-5.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Updated DH_LEVEL from 3 to 9. (Closes: #800220)
  * debian/control:
      - Build-Depends field:
          - debhelper >= 9.
      - tzc Depends:
          - ${misc:Depends} added.
  * debian/dirs removed.
  * debian/install created:
      - using the file to install the command binary.
  * dir debian/man created.
      - to put tzc.1 in there. Was in tzc*.diff.gz.
  * debian/manpages created.
  * debian/patches: (quilt)
      - split up tzc*.diff.gz archive. Three patch files.:
          - add_ZCkAuth_file.patch. Create the ZCkAuth.c file completely.
          - makefile-fixes.patch:
              - to stop lintian about 'no-pie':
                  - add some options to CFLAGS.
                  - add $(CFLAGS) to tzc target.
              - entries to install manpage and the command binary removed.
          - fixes-tzc-c.patch.
              - '%s' added to com_err(). Three times. Fernando Seiti Furusato
                helped.
        All patches needed 'quilt refresh --strip-trailing-whitespace'.
  * debian/rules:
      - new format
      - hardening+=bidnow added.
      - lines about debug and nostrip were removed.

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Fri, 10 Jun 2016 13:58:04 -0300

tzc (2.6.15-5.3) unstable; urgency=medium

  * Non-maintainer upload.
  * tzc.c: fix heartbeat-subscription bugs from 2009. (Closes: #561039)

 -- Mark W. Eichin <eichin@thok.org>  Tue, 15 Jul 2014 11:55:58 -0400

tzc (2.6.15-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add -lcom_err to the linker flags to fix link failure with gold
    (closes: #556513)
  * Fix -Wformat warning in call to execlp (tzc.c:496:7: warning: missing
    sentinel in function call).

 -- Julien Cristau <jcristau@debian.org>  Sat, 31 Dec 2011 12:29:21 +0100

tzc (2.6.15-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build depend on zephyr 3.0, indicating a transition from krb4 to krb5
    zephyr, Closes: #538052 

 -- Sam Hartman <hartmans@debian.org>  Thu, 23 Jul 2009 07:42:27 -0400

tzc (2.6.15-5) unstable; urgency=low

  * Fix FTBFS with gcc 3.4.  (Closes: #264445)
  * Fix minor prototype mismatch.
  * Fix linitian warnings and update Debian standards 3.6.2.1

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sat, 24 Sep 2005 20:46:29 -0400

tzc (2.6.15-4) unstable; urgency=low

  * We were depending on the version of com_err.h that was provided by
    Kerberos; but since we've removed that from the build-depends line, 
    this broke the on the autobuilders.  (Closes: #171856)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Thu,  5 Dec 2002 13:01:05 -0500

tzc (2.6.15-3) unstable; urgency=low

  * Remove explicit mention of Kerberos libraries on the link line,
    since libzephyr3-krb will automatically pull in the kerberos libraries
    if necessary.  (Closes: #153783)
  * Removed ZckAuth.c hack since it adds a Kerberos dependency, and
    doesn't always work.
  * Apply patch from Karl Ramm to specify an opcode when sending a zgram.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Tue,  3 Dec 2002 15:38:16 -0500

tzc (2.6.15-2) unstable; urgency=low

  * Minor fixups pointed out by Sam Hartman before making it ready for
    initial upload.  (Closes: #153079)
  * Add build dependency on libzephyr-dev and comerr-dev, and 
    remove references to /usr/local in the Makefile.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Mon, 15 Jul 2002 16:10:52 -0400

tzc (2.6.15-1) unstable; urgency=low

  * Initial Release.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Mon, 15 Jul 2002 09:07:11 -0400

=== debian/control ===
Source: tzc
Section: net
Priority: optional
Maintainer: Theodore Y. Ts'o <tytso@mit.edu>
Build-Depends: debhelper (>= 9), libzephyr-dev (>= 3.0~beta), comerr-dev
Standards-Version: 3.6.2.1

Package: tzc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, zephyr-clients
Description: Trivial Zephyr Client
 tzc is a trivial zephyr client program which talks to the zephyr servers 
 (via the "zephyr host manager").   It is primarily used by the gnu-emacs
 zephyr-mode package.

## tzc 2.6.16.1

=== Makefile ===
# Configure as appropriate.

#KERB_LIBS = -lkrb4 -ldes425 -lcom_err
ZEPHYR_LIBS = -lzephyr -lcom_err

DESTDIR =

# You may need to use these to pick up some BSD'ish functions like flock().
# Linux needs MISC_LIBS = -lbsd
# NetBSD needs MISC_LIBS = -lcrypt
# AIX needs MISC_CFLAGS = -D_BSD and MISC_LIBS = -lbsd
# Solaris needs MISC_CFLAGS = -I/usr/include -DNO_SIGMASK
#           and MISC_LIBS = -lsocket -lnsl  /usr/ucblib/libucb.a
MISC_CFLAGS = 
MISC_LIBS = 

# uncomment this if getenv() isn't already available (e.g. SunOS 4.1.x)
# EXTRA_OBJS = getenv.o

# This is not included since in some cases it can do more harm than good.
#EXTRA_OBJS = ZCkAuth.o

OBJS = tzc.o lread.o $(EXTRA_OBJS)

CC = gcc
LD = $(CC)

DEFINES = -DINTERREALM
INCLUDES = $(ZEPHYR_INCLUDES) $(KERB_INCLUDES) $(MISC_CFLAGS)
CFLAGS = -g -O -Wall $(DEFINES) $(INCLUDES) -fPIE -pie -O2 -fstack-protector-strong -Wformat -Werror=format-security

LIBS = $(ZEPHYR_LIBS) $(KERB_LIBS) $(MISC_LIBS)

tzc: $(OBJS)
	$(LD) $(CFLAGS) $(LDFLAGS) -o tzc.new $(OBJS) $(LIBS)
	/bin/mv tzc.new tzc

#install: tzc
#	install tzc $(DESTDIR)/usr/bin

lread.o: lread.h
tzc.o: lread.h

clean:
	/bin/rm -f *.o tzc tzc.new core

=== debian/changelog ===
tzc (2.6.16.1) unstable; urgency=medium

  * Integrate changes from 2.6.16 from CMU's cclub.
  * Add support for zlocate and to specify a hostname.
  * Fixed a bug with disabling heartbeat.
  * Since the sources are no longer being maintained upstream start.
    maintaining this as a Debian native package.
  * Fix typo in man page (Closes: #484050)
  * Fix build on gcc 15 (Closes: #1098022)
  * Update DH_LEVEL to 13 from 9.
  * Update debian standards compliance to 4.7.0.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Mon, 17 Feb 2025 21:00:30 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Theodore Y. Ts'o <tytso@mit.edu>
-Build-Depends: debhelper (>= 9), libzephyr-dev (>= 3.0~beta), comerr-dev
-Standards-Version: 3.6.2.1
+Build-Depends: debhelper-compat (= 13), libzephyr-dev (>= 3.0~beta), comerr-dev
+Standards-Version: 4.7.0
 
 Package: tzc
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow

%:
	dh $@

## tzc 2.6.16.1build1

=== debian/changelog ===
tzc (2.6.16.1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Thu, 29 Jan 2026 22:13:59 +0100
